> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update email notification settings

> Update the settings of the `admin` or `respondent` email. Only the fields you send are changed. This does not send any email.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/form-settings.yaml PATCH /forms/{form_id}/email_notifications/{kind}
openapi: 3.0.3
info:
  title: NeetoForm Form Settings APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/email_notifications/{kind}:
    patch:
      tags:
        - Email Notifications
      summary: Update email notification settings
      description: >-
        Update the settings of the `admin` or `respondent` email. Only the
        fields you send are changed. This does not send any email.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
        - $ref: '#/components/parameters/email_notification_kind_param'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email_notification
              properties:
                email_notification:
                  type: object
                  properties:
                    is_enabled:
                      type: boolean
                      description: Send this email after a submission.
                      example: true
                    subject:
                      type: string
                      description: Subject of the email.
                      example: New submission
                    message:
                      type: string
                      description: Body of the email, as HTML.
                      example: <div>Someone submitted</div>
                    notify_emails:
                      type: array
                      items:
                        type: string
                        format: email
                      description: >-
                        Email addresses that receive the email. Used for
                        `admin`.
                      example:
                        - oliver@example.com
                    notify_cc_emails:
                      type: array
                      items:
                        type: string
                        format: email
                      description: Email addresses in CC.
                    notify_bcc_emails:
                      type: array
                      items:
                        type: string
                        format: email
                      description: Email addresses in BCC.
                    reply_to_question_id:
                      type: string
                      description: >-
                        ID of an email question of the form. Its answer is used
                        as the reply-to address. Used for `admin`.
                    reply_to:
                      type: string
                      format: email
                      description: A fixed reply-to email address. Used for `respondent`.
                    send_to_question_id:
                      type: string
                      description: >-
                        ID of the email question whose answer receives the
                        email. Used for `respondent`.
      responses:
        '200':
          description: OK - Settings updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/email_notification_response'
        '400':
          $ref: '#/components/responses/response_missing_body'
        '404':
          description: >-
            Not Found - The form does not exist or `kind` is not `admin` or
            `respondent`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Form does not exist.
        '422':
          description: Unprocessable Entity - A value is not valid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Notify emails is invalid
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
    email_notification_kind_param:
      in: path
      name: kind
      description: >-
        Which email to read or change. `admin` is the email sent to your team
        after a submission. `respondent` is the email sent to the person who
        submitted the form.
      required: true
      schema:
        type: string
        enum:
          - admin
          - respondent
        example: admin
  schemas:
    email_notification_response:
      type: object
      properties:
        email_notification:
          $ref: '#/components/schemas/email_notification'
    error_response:
      type: object
      properties:
        error:
          type: string
    email_notification:
      type: object
      properties:
        kind:
          type: string
          enum:
            - admin
            - respondent
          example: admin
        is_enabled:
          type: boolean
          example: true
        subject:
          type: string
          example: New submission
        notify_emails:
          type: array
          items:
            type: string
            format: email
          example:
            - oliver@example.com
        notify_cc_emails:
          type: array
          items:
            type: string
            format: email
          example: []
        notify_bcc_emails:
          type: array
          items:
            type: string
            format: email
          example: []
        message:
          type: string
          example: <div>Someone submitted</div>
        reply_to_question_id:
          type: string
          nullable: true
          description: >-
            ID of the email question whose answer is used as the reply-to
            address.
        reply_to:
          type: string
          nullable: true
          description: A fixed reply-to email address.
        send_to_question_id:
          type: string
          nullable: true
          description: ID of the email question whose answer receives the respondent email.
  responses:
    response_missing_body:
      description: Bad Request - The request body is missing its root key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.